#ifndef	__X4D_EFFECT_MATRIX_WRAPPER__
#define	__X4D_EFFECT_MATRIX_WRAPPER__

#include "c4d_thread.h"
#include "x4d_filter.h"

extern LONG	do_matrix_effect_1dt(  BM_REF bm, BM_TILE *dt, MATRIX_REF _emr, LONG tile_flags );
extern LONG	do_matrix_effect( BM_REF bm, MATRIX_REF _emr, FilterThread *thread, LONG tile_flags, Bool update_view, String *apply_filter_str );

#endif
